;;; -*- Lisp -*-
(defpackage :araneida-system (:use #:asdf #:cl))
(in-package :araneida-system)

(defsystem araneida
  :depends-on (db-sockets net-telent-date)
  :version "0.6"
  :components ((:file "defpackage")
               (:file "macros" :depends-on ("defpackage"))
               (:module "utility"
                        :components ((:file "aif")
                                     (:file "lists")
                                     (:file "split")
                                     (:file "seqlet")
                                     (:file "base64" :depends-on ("seqlet"))
                                     (:file "strings")))
               (:file "db-sockets"
		      :depends-on ("macros"))
               (:file "araneida" :depends-on  ("db-sockets"))
               (:file "pmp" :depends-on ("db-sockets"))
               (:file "html")
               (:file "url-class")
               (:file "url" :depends-on ("utility" "url-class"))
               (:file "server-class")
               (:file "server" :depends-on ("server-class" "url-class"))
               (:file "exports"
                      :depends-on ("defpackage" "utility" "url"))
               (:file "request-class")
               (:file "request" :depends-on ("url" "request-class") )
               (:file "auth" :depends-on ("request"))
               (:file "file-request" :depends-on ("pmp" "request"))
               (:file "define-page" :depends-on ("request"))
               (:file "daemon"
                      :depends-on
                      ("url" "pmp" "defpackage" "exports" "request"))
               (:file "memoization")
               (:file "pattern-match" :depends-on ("memoization"))
	       (:module "doc"
			:components ((:html-file "examples")
				     (:html-file "faq")
				     (:html-file "handlers")
				     (:html-file "html")
				     (:html-file "index")
				     (:html-file "installation")
				     (:html-file "reference")
				     (:html-file "servers")
				     (:html-file "troubleshooting")
				     (:html-file "urls")
				     (:static-file "araneida"
						   :pathname "araneida.css")
				     (:static-file "rfc2396"
						   :pathname "rfc2396.txt")
				     (:static-file "PLAN")))
	       ))

